Package wx :: Module xrc :: Class XmlDocument

[frames | no frames]

## Type XmlDocument

    object --+
             |
        Object --+
                 |
                XmlDocument

Proxy of C++ XmlDocument class

Method Summary
XmlDocument | `__init__(self, filename, encoding)`
| `__del__(self)`
XmlNode | `DetachRoot(self)`
String | `GetFileEncoding(self)`
XmlNode | `GetRoot(self)`
String | `GetVersion(self)`
bool | `IsOk(self)`
bool | `Load(self, filename, encoding, flags)`
bool | `LoadFromStream(self, stream, encoding, flags)`
bool | `Save(self, filename, indentstep)`
bool | `SaveToStream(self, stream, indentstep)`
| `SetFileEncoding(self, encoding)`
| `SetRoot(self, node)`
| `SetVersion(self, version)`

Property Summary
| `FileEncoding`: See `GetFileEncoding` and `SetFileEncoding`
| `Root`: See `GetRoot` and `SetRoot`
| `thisown`: The membership flag
| `Version`: See `GetVersion` and `SetVersion`

Property Details

### FileEncoding

See `GetFileEncoding` and `SetFileEncoding`

  Get Method:
    `GetFileEncoding`(self)
  Set Method:
    `SetFileEncoding`(self, encoding)

### Root

See `GetRoot` and `SetRoot`

  Get Method:
    `GetRoot`(self)
  Set Method:
    `SetRoot`(self, node)

### thisown

The membership flag

  Get Method:
    unknown--1270505204(...)
  Set Method:
    unknown--1270505148(...)

### Version

See `GetVersion` and `SetVersion`

  Get Method:
    `GetVersion`(self)
  Set Method:
    `SetVersion`(self, version)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:25 2007 | http://epydoc.sf.net